SystemOrganization addCategory: #'Twitter-Bootstrap-Seaside-Widgets-Components'!
SystemOrganization addCategory: #'Twitter-Bootstrap-Seaside-Widgets-Decorations'!

WAFormDialog subclass: #TWBSFormDialog
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Twitter-Bootstrap-Seaside-Widgets-Components'!

!TWBSFormDialog methodsFor: 'actions' stamp: 'NickAger 3/21/2012 21:19'!
addForm
	form := TWBSFormDecoration new buttons: self buttons.
	self addDecoration: form! !

!TWBSFormDialog methodsFor: 'rendering' stamp: 'NickAger 3/21/2012 19:14'!
renderContentOn: html
	html hiddenInput 
		callback: [ validationError := nil ].
	validationError isNil
		ifFalse: [ self renderValidationError: validationError on: html ]! !

!TWBSFormDialog methodsFor: 'rendering' stamp: 'NickAger 3/21/2012 19:08'!
renderValidationError: aString on: html
	html div
		class: 'alert';
		class: 'alert-error';
		with: aString! !

TWBSFormDialog subclass: #TWBSYesOrNoDialog
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Twitter-Bootstrap-Seaside-Widgets-Components'!

!TWBSYesOrNoDialog methodsFor: 'accessing' stamp: 'NickAger 3/21/2012 19:13'!
buttons
	^ #(yes no)! !

!TWBSYesOrNoDialog methodsFor: 'accessing' stamp: 'NickAger 3/21/2012 19:13'!
no
	self answer: false! !

!TWBSYesOrNoDialog methodsFor: 'accessing' stamp: 'NickAger 3/21/2012 19:13'!
yes
	self answer: true! !

WAMessageDecoration subclass: #TWBSErrorMessageDecoration
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Twitter-Bootstrap-Seaside-Widgets-Decorations'!

!TWBSErrorMessageDecoration methodsFor: 'rendering' stamp: 'NickAger 3/22/2012 07:40'!
renderContentOn: html
	html div
		class: 'alert';
		class: 'alert-error';
		with: message.
	self renderNextOn: html! !

WAMessageDecoration subclass: #TWBSInfoMessageDecoration
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Twitter-Bootstrap-Seaside-Widgets-Decorations'!

!TWBSInfoMessageDecoration methodsFor: 'rendering' stamp: 'NickAger 3/21/2012 20:40'!
renderContentOn: html
	html div
		class: 'alert';
		class: 'alert-info';
		with: message.
	self renderNextOn: html! !

WAMessageDecoration subclass: #TWBSSuccessMessageDecoration
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Twitter-Bootstrap-Seaside-Widgets-Decorations'!

!TWBSSuccessMessageDecoration methodsFor: 'rendering' stamp: 'NickAger 3/22/2012 07:40'!
renderContentOn: html
	html div
		class: 'alert';
		class: 'alert-success';
		with: message.
	self renderNextOn: html! !

WAFormDecoration subclass: #TWBSFormDecoration
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Twitter-Bootstrap-Seaside-Widgets-Decorations'!

!TWBSFormDecoration methodsFor: 'rendering' stamp: 'NickAger 3/21/2012 20:48'!
renderButtonsOn: html
	html div 
		class: 'form-actions'; 
		with: [
			self buttons do: [ :each |
				html button
					class: 'btn';
					class: 'btn-primary' if: (each = buttons first);
					text: each;
					on: each of: self decoratedComponent ]
				separatedBy: [ html text: ' ' ] ]! !

!TWBSFormDecoration methodsFor: 'rendering' stamp: 'NickAger 3/21/2012 20:10'!
renderContentOn: html
	html form
		defaultAction: [ self execute: self default ];
		with: [
			html fieldSet: [
				self renderNextOn: html.
				self renderButtonsOn: html ] ]! !
